# TdApi.StoryAreaPosition (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: StoryAreaPosition

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryAreaPosition

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryAreaPosition

Enclosing class:
  TdApi

public static final class TdApi.StoryAreaPosition extends TdApi.Object
Describes position of a clickable rectangle area on a story media.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`double`
`heightPercentage`
The height of the rectangle, as a percentage of the media height.
`double`
`rotationAngle`
Clockwise rotation angle of the rectangle, in degrees; 0-360.
`double`
`widthPercentage`
The width of the rectangle, as a percentage of the media width.
`double`
`xPercentage`
The abscissa of the rectangle's center, as a percentage of the media width.
`double`
`yPercentage`
The ordinate of the rectangle's center, as a percentage of the media height.

## Constructor Summary

Constructors
Constructor
Description
`StoryAreaPosition()`
Describes position of a clickable rectangle area on a story media.
`StoryAreaPosition(double xPercentage, double yPercentage, double widthPercentage, double heightPercentage, double rotationAngle)`
Describes position of a clickable rectangle area on a story media.
`StoryAreaPosition(DataInput input)`
Describes position of a clickable rectangle area on a story media.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### xPercentage

public double xPercentage
The abscissa of the rectangle's center, as a percentage of the media width.

### yPercentage

public double yPercentage
The ordinate of the rectangle's center, as a percentage of the media height.

### widthPercentage

public double widthPercentage
The width of the rectangle, as a percentage of the media width.

### heightPercentage

public double heightPercentage
The height of the rectangle, as a percentage of the media height.

### rotationAngle

public double rotationAngle
Clockwise rotation angle of the rectangle, in degrees; 0-360.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StoryAreaPosition

public StoryAreaPosition()
Describes position of a clickable rectangle area on a story media.

### StoryAreaPosition

public StoryAreaPosition(double xPercentage, double yPercentage, double widthPercentage, double heightPercentage, double rotationAngle)
Describes position of a clickable rectangle area on a story media.

Parameters:
  `xPercentage` - The abscissa of the rectangle's center, as a percentage of the media width.
  `yPercentage` - The ordinate of the rectangle's center, as a percentage of the media height.
  `widthPercentage` - The width of the rectangle, as a percentage of the media width.
  `heightPercentage` - The height of the rectangle, as a percentage of the media height.
  `rotationAngle` - Clockwise rotation angle of the rectangle, in degrees; 0-360.

### StoryAreaPosition

public StoryAreaPosition(DataInput input) throws IOException
Describes position of a clickable rectangle area on a story media.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`